<?php

/*

Copyright 2014 Dario Curvino (email : d.curvino@tiscali.it)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

if (!defined('ABSPATH')) {
    exit('You\'re not allowed to see this page');
} // Exit if accessed directly

class YasrSettings {

    /**
     * @since 2.3.3
     *
     * @param $name
     * @param $class
     * @param $db_value
     * @param $id
     *
     * return void
     */
    public static function radioSelectSize($name, $class, $db_value=false, $id=false) {
        $array_size = array('small', 'medium', 'large');

        foreach($array_size as $size) {
            $id_string = $id . $size;

            //must be inside for each, or when loop arrive to last element
            //checked is defined
            $checked = '';

            //If db_value === false, there is no need to check for db value
            //so checked is the medium star (i.e. ranking page)
            if($db_value === false) {
                if($size === 'medium') {
                    $checked = 'checked';
                }
            } else if ($db_value === $size) {
                $checked = 'checked';
            }

            echo sprintf( '<div class="yasr-option-div">
                      <label for="%s">
                          <input type="radio"
                              name="%s"
                              value="%s"
                              class="%s"
                              id="%s"
                              %s
                          >
                          <img src="%syasr-stars-%s.png"
                               class="yasr-img-option-size" alt=%s>
                          <span class="yasr-text-options-size">
                              %s
                          </span>
                      </label>
                  </div>',
                $id_string, $name, $size, $class, $id_string, $checked, YASR_IMG_DIR, $size, $size,
                __( ucwords( $size ), 'yet-another-stars-rating' ) );

        } //end foreach
    }

    /**
     * @param bool | string $option_title
     * @param array  $array_options
     * @param string $name
     * @param string $class
     * @param bool | string | int $default_value
     * @param bool | string $id
     */
    public static function printRadioType($option_title, $array_options, $name, $class, $default_value=false, $id=false) {

        if($option_title) {
            echo '<strong>' . $option_title . '</strong><br />';
        }

        if(is_array($array_options)) {

            echo '<div class="yasr-indented-answer">';

            foreach ($array_options as $value => $label) {
                $id_string = $id . '-' . strtolower(trim(str_replace(' ', '', $value)));
                //must be inside foreach, or when loop arrive to last element
                //checked is defined
                $checked = '';

                //If db_value === false, there is no need to check for db value
                //so checked is the medium star (i.e. ranking page)
                if($default_value === $value) {
                    $checked = 'checked';
                }

                //string value must be empty
                if($value === 0) {
                    $value = '';
                }

                echo sprintf('<div>
                      <label for="%s">
                          <input type="radio"
                              name="%s"
                              value="%s"
                              class="%s"
                              id="%s"
                              %s
                          >
                          %s
                      </label>
                      </div>',
                    $id_string, $name, $value, $class, $id_string, $checked,
                    __(ucwords($label), 'yet-another-stars-rating'));

            } //end foreach

            echo '</div>';
        }
    }

}